"use strict";

exports.__esModule = true;
exports.hslMatcher = void 0;
exports.isHslString = isHslString;
exports.matchHslString = matchHslString;

var _utils = require("./utils");

const num = _utils.cssNumberMatcher.source;
const sep = _utils.separatorMatcher.source;
const asep = _utils.alphaSeparatorMatcher.source;
const hslMatcher = new RegExp(`hsla?\\(\\s*(${num}(?:deg|rad|grad|turn)?)${sep}(${num})%${sep}(${num})%(?:${asep}(${num}%?))?\\s*\\)`, 'i');
exports.hslMatcher = hslMatcher;

function isHslString(colorString) {
  return (0, _utils.exact)(hslMatcher).test(colorString);
}

function matchHslString(colorString) {
  const match = (0, _utils.exact)(hslMatcher).exec(colorString);
  return match ? (0, _utils.extractValuesFromMatch)(match) : null;
}