"use strict";

exports.__esModule = true;
exports.isRgbString = isRgbString;
exports.matchRgbString = matchRgbString;
exports.rgbMatcher = void 0;

var _utils = require("./utils");

const num = _utils.cssNumberMatcher.source;
const sep = _utils.separatorMatcher.source;
const asep = _utils.alphaSeparatorMatcher.source;
const rgbMatcher = new RegExp(`rgba?\\(\\s*(${num}%?)${sep}(${num}%?)${sep}(${num}%?)(?:${asep}(${num}%?))?\\s*\\)`, 'i');
exports.rgbMatcher = rgbMatcher;

function isRgbString(colorString) {
  return (0, _utils.exact)(rgbMatcher).test(colorString);
}

function matchRgbString(colorString) {
  const match = (0, _utils.exact)(rgbMatcher).exec(colorString);
  return match ? (0, _utils.extractValuesFromMatch)(match) : null;
}