"use strict";

exports.__esModule = true;
exports.cssNumberMatcher = exports.alphaSeparatorMatcher = void 0;
exports.exact = exact;
exports.extractValuesFromMatch = extractValuesFromMatch;
exports.separatorMatcher = void 0;

function exact(regex) {
  return new RegExp(`^${regex.source}$`, regex.flags);
}

function extractValuesFromMatch(match) {
  return match.slice(1).filter(val => val !== undefined);
}

const cssNumberMatcher = /[+-]?(?=\.\d|\d)\d*(?:\.\d+)?(?:[eE][+-]?\d+)?/;
exports.cssNumberMatcher = cssNumberMatcher;
const separatorMatcher = /(?=[,\s])\s*(?:,\s*)?/;
exports.separatorMatcher = separatorMatcher;
const alphaSeparatorMatcher = /\s*[,\/]\s*/;
exports.alphaSeparatorMatcher = alphaSeparatorMatcher;