"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.triad = exports.saturation = exports.rotation = exports.rgbToHsl = exports.rgb = exports.palette = exports.opacity = exports.normalize = exports.lightness = exports.isRgb = exports.isHsl = exports.hslToRgb = exports.hsl = exports.harmony = exports.complement = exports.colorSet = exports.colorScheme = exports.analogue = void 0;

var _colorScheme = _interopRequireDefault(require("./colorScheme"));

exports.colorScheme = _colorScheme.default;

var _colorSet = _interopRequireDefault(require("./colorSet"));

exports.colorSet = _colorSet.default;

var _normalize = _interopRequireDefault(require("./normalize"));

exports.normalize = _normalize.default;

var _palette = _interopRequireDefault(require("./palette"));

exports.palette = _palette.default;

var _analogue = _interopRequireDefault(require("./mappings/analogue"));

exports.analogue = _analogue.default;

var _complement = _interopRequireDefault(require("./mappings/complement"));

exports.complement = _complement.default;

var _saturation = _interopRequireDefault(require("./mappings/saturation"));

exports.lightness = _saturation.default;
exports.saturation = _saturation.default;

var _opacity = _interopRequireDefault(require("./mappings/opacity"));

exports.opacity = _opacity.default;

var _rotation = _interopRequireDefault(require("./mappings/rotation"));

exports.rotation = _rotation.default;

var _triad = _interopRequireDefault(require("./mappings/triad"));

exports.triad = _triad.default;

var _harmony = _interopRequireDefault(require("./presets/harmony"));

exports.harmony = _harmony.default;

var _hsl = _interopRequireWildcard(require("./color/hsl"));

exports.hsl = _hsl.default;
exports.isHsl = _hsl.isHsl;

var _rgb = _interopRequireWildcard(require("./color/rgb"));

exports.rgb = _rgb.default;
exports.isRgb = _rgb.isRgb;

var _hslToRgb = _interopRequireDefault(require("./color/transforms/hslToRgb"));

exports.hslToRgb = _hslToRgb.default;

var _rgbToHsl = _interopRequireDefault(require("./color/transforms/rgbToHsl"));

exports.rgbToHsl = _rgbToHsl.default;

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }