"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = palette;

var _lightness = _interopRequireDefault(require("./mappings/lightness"));

function palette(baseColor, colorMapping = _lightness.default, noCache) {
  const cache = {};

  const cachedColorMapping = (baseColor, key) => {
    if (cache[key] === undefined) {
      cache[key] = colorMapping(baseColor, key);
    }

    return cache[key];
  };

  const generate = noCache ? colorMapping : cachedColorMapping;
  return key => key !== undefined ? generate(baseColor, key) : baseColor;
}