"use strict";

exports.__esModule = true;
exports.default = angle;
exports.normalizeAngle = normalizeAngle;
exports.toDegrees = toDegrees;

function toDegrees(angle, unit) {
  var _multiplier$unit$toLo;

  var multiplier = {
    rad: 180 / Math.PI,
    grad: 0.9,
    turn: 360
  };
  return angle * ((_multiplier$unit$toLo = multiplier[unit.toLowerCase()]) != null ? _multiplier$unit$toLo : 1);
}

function normalizeAngle(degrees) {
  return (degrees % 360 + 360) % 360;
}

function angle(str) {
  var _str$match$, _str$match;

  var num = parseFloat(str);
  var unit = (_str$match$ = (_str$match = str.match(/deg|rad|grad|turn/i)) == null ? void 0 : _str$match[0]) != null ? _str$match$ : 'deg';
  return normalizeAngle(toDegrees(num, unit));
}