"use strict";

exports.__esModule = true;
exports.hslMatcher = void 0;
exports.isHslString = isHslString;
exports.matchHslString = matchHslString;

var _utils = require("./utils");

var num = _utils.cssNumberMatcher.source;
var sep = _utils.separatorMatcher.source;
var asep = _utils.alphaSeparatorMatcher.source;
var hslMatcher = new RegExp("hsla?\\(\\s*(" + num + "(?:deg|rad|grad|turn)?)" + sep + "(" + num + ")%" + sep + "(" + num + ")%(?:" + asep + "(" + num + "%?))?\\s*\\)", 'i');
exports.hslMatcher = hslMatcher;

function isHslString(colorString) {
  return (0, _utils.exact)(hslMatcher).test(colorString);
}

function matchHslString(colorString) {
  var match = (0, _utils.exact)(hslMatcher).exec(colorString);
  return match ? (0, _utils.extractValuesFromMatch)(match) : null;
}