"use strict";

exports.__esModule = true;
exports.default = hslToRgb;

var _hsl = require("../hsl");

function hslToRgb(hsl) {
  var _normalizeHsl = (0, _hsl.normalizeHsl)(hsl),
      h = _normalizeHsl.h,
      s = _normalizeHsl.s,
      l = _normalizeHsl.l,
      a = _normalizeHsl.a;

  var hue = h || 0;
  var sat = s / 100;
  var light = l / 100;

  function f(n) {
    var k = (n + hue / 30) % 12;
    var a = sat * Math.min(light, 1 - light);
    return light - a * Math.max(-1, Math.min(k - 3, 9 - k, 1));
  }

  return {
    r: f(0) * 255,
    g: f(8) * 255,
    b: f(4) * 255,
    a: a
  };
}