"use strict";

exports.__esModule = true;
exports.default = rgbToHsl;

var _rgb = require("../rgb");

function rgbToHsl(rgb) {
  var _normalizeRgb = (0, _rgb.normalizeRgb)(rgb),
      r = _normalizeRgb.r,
      g = _normalizeRgb.g,
      b = _normalizeRgb.b,
      a = _normalizeRgb.a;

  var red = r / 255;
  var green = g / 255;
  var blue = b / 255;
  var max = Math.max(red, green, blue);
  var min = Math.min(red, green, blue);
  var d = max - min;
  var light = (min + max) / 2;
  var hue = NaN;
  var sat = 0;

  if (d !== 0) {
    sat = (max - light) / Math.min(light, 1 - light);

    switch (max) {
      case red:
        hue = (green - blue) / d + (green < blue ? 6 : 0);
        break;

      case green:
        hue = (blue - red) / d + 2;
        break;

      case blue:
        hue = (red - green) / d + 4;
    }

    hue *= 60;
  }

  return {
    h: hue,
    s: sat * 100,
    l: light * 100,
    a: a
  };
}