"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = palette;

var _lightness = _interopRequireDefault(require("./mappings/lightness"));

function palette(baseColor, colorMapping, noCache) {
  if (colorMapping === void 0) {
    colorMapping = _lightness.default;
  }

  var cache = {};

  var cachedColorMapping = function cachedColorMapping(baseColor, key) {
    if (cache[key] === undefined) {
      cache[key] = colorMapping(baseColor, key);
    }

    return cache[key];
  };

  var generate = noCache ? colorMapping : cachedColorMapping;
  return function (key) {
    return key !== undefined ? generate(baseColor, key) : baseColor;
  };
}