import type { HSL } from './hsl';
import type { RGB } from './rgb';
/**
 * Builds a color string from a color model object
 *
 * For maximum CSS compatibility, the output is in `#rrggbb`
 * hex format when opacity (alpha) is 1, while in `rgba()`
 * otherwise.
 *
 * @param color - either RGB or HSL color object
 * @returns a CSS color string
 */
export default function colorString(color: RGB | HSL): string;
