import type { HexString } from './parsers/hexString';
/** CSS color names and corresponding hex string values */
export declare const namedColors: Record<string, HexString>;
/**
 * Looks up the hex value of a given color name
 *
 * @param colorName - CSS color name
 * @returns color hex string (or `undefined` if invalid color name)
 */
export default function named(colorName: string): HexString | undefined;
