/** Color string in `#rrggbb(aa)` or `#rgb(a)` hex format */
export declare type HexString = `#${string}`;
/** Regular expression for hex color string */
export declare const hexColorMatcher: RegExp;
/** Regular expression for shorthand hex color string */
export declare const shortHexColorMatcher: RegExp;
/**
 * Checks if a given string is a valid hex color string
 *
 * @param colorString
 * @returns true/false (type predicate for `HexString` in TS)
 */
export declare function isHexString(colorString: string): colorString is HexString;
/**
 * Attempts to match the given color string with the hex
 * string pattern, and extracts the hex values of the RGB
 * color components (and alpha, if any)
 *
 * @param colorString
 * @returns an array containing the matched values, or `null`
 */
export declare function matchHexString(colorString: string): string[] | null;
