/**
 * Creates a modified version of the regular expression
 * that is restricted to exact matches only
 *
 * @param regex
 * @returns modified regex including original flags (if any)
 */
export declare function exact(regex: RegExp): RegExp;
/**
 * Extracts individual color components from a color string
 * match array
 *
 * @param match
 * @returns a string array containing the extracted values
 */
export declare function extractValuesFromMatch(match: RegExpExecArray): string[];
/** Regular expression for valid CSS number */
export declare const cssNumberMatcher: RegExp;
/** Regular expression for color component separator */
export declare const separatorMatcher: RegExp;
/** Regular expression for alpha separator */
export declare const alphaSeparatorMatcher: RegExp;
