import type { HSL } from '../hsl';
import type { RGB } from '../rgb';
/**
 * Converts from HSL to RGB color model
 *
 * This implementation is based on official algorithm:
 * https://drafts.csswg.org/css-color/#the-hsl-notation
 *
 * @param hsl - HSL color object
 * @returns the equivalent RGB color object
 */
export default function hslToRgb(hsl: HSL): RGB;
