import { RGB } from '../rgb';
import type { HSL } from '../hsl';
/**
 * Converts from RGB to HSL color model
 *
 * This implementation is based on official algorithm:
 * https://drafts.csswg.org/css-color/#the-hsl-notation
 *
 * @param rgb - RGB color object
 * @returns the equivalent HSL color object
 */
export default function rgbToHsl(rgb: RGB): HSL;
