import type { StringOrNumber } from './utils';
/** Function for generating palette colors from base color */
export declare type ColorMapping<K extends StringOrNumber = StringOrNumber> = (baseColor: string, key: K) => string;
/** Getter function for palette colors */
export declare type Palette<K extends StringOrNumber = StringOrNumber> = (key?: K) => string;
/**
 * Builds a color palette and returns a getter function for
 * accessing palette colors
 *
 * @param baseColor
 * @param colorMapping - optional custom function for generating colors
 * @param noCache - option to disable caching of color mapping
 * @returns getter function for palette color
 */
export default function palette<K extends StringOrNumber>(baseColor: string, colorMapping?: ColorMapping<K>, noCache?: boolean): Palette<K>;
