import type { ColorSet } from '../colorSet';
import type { StringOrNumber } from '../utils';
/**
 * Generates a set of base colors that goes well with
 * the given primary base color
 *
 * @param baseColor
 * @returns a keyed list of base colors
 */
export default function harmony(baseColor: string): {
    primary: string;
    secondary: string;
    accent: string;
    neutral: string;
    error: string;
};
/** Harmony generated base colors */
export declare type HarmonyBaseColors = ReturnType<typeof harmony>;
declare type HarmonyColorClass = keyof HarmonyBaseColors;
declare type HarmonyColorKey = 0 | 10 | 20 | 30 | 40 | 50 | 60 | 70 | 80 | 90 | 95 | 98 | 100;
/** Color set built with Harmony base colors */
export declare type HarmonyColors<K extends StringOrNumber = HarmonyColorKey> = ColorSet<HarmonyColorClass, K>;
export {};
